<?PHP
###########################################################################
# 
# File:            taloLoggerGraph_getchart.php
#
# License:         Donationware, see attached LICENSE file for more 
#                  information
#
# Author:          Olli Lammi (olammi@iki.fi)
#
# Version:         1.0a
#
# Date:            04.11.2010
#
# Functions:       -
#                   
# Description:     House automation data logger graphing application for PHP.
#
#                  Script to view the generated chart images. 
#
# Requirements:    PHP 5 or newer (www.php.net)
#
# Version history: ** 20.10.2010 v0.1a (Olli Lammi) **
#                  First beta version for testers. 
#
#                  ** 04.11.2010 v1.0a (Olli Lammi) **
#                  First version released to the public.
#
###########################################################################

    include('taloLoggerGraph_tempfile.inc');

    $id = $_REQUEST["img"];
  
    if (is_numeric($id) && is_int((int)$id)) {
        $fname = getImagePath($id);
        if (file_exists($fname)) {
            header('Content-Type: image/png');

            echo file_get_contents($fname);

            unlink($fname);
        }
    }
?>
